# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::ObjTexture Class Reference

Represents a Wavefront OBJ texture. See also ObjMaterial and ObjLoader. More...

`#include <vlOBJ.hpp>`

List of all members.

## Public Member Functions

| ObjTexture ()
const ObjTexture & | parseLine (const String &line, const String &file)
bool | valid () const
void | print ()
| Prints the content of the material. Used for debugging purposes.
const String & | path () const
| Texture file name.
bool | blendU () const
| -blendu on | off
bool | blendV () const
| -blendv on | off
bool | cc () const
| -cc on | off
bool | clamp () const
| -clamp on | off
float | mm_Base () const
| -mm base gain
float | mm_Gain () const
| -mm base gain
const fvec3 & | o_UVW () const
| -o u v w
const fvec3 & | s_UVW () const
| -s u v w
const fvec3 & | t_UVW () const
| -t u v w
float | texres_Value () const
| -texres value
char | imfchan () const
| -imfchan r | g | b | m | l | z
float | bm () const
| -bm mult
void | setPath (const String &filename)
| Texture file name.
void | setBlendU (bool on)
| -blendu on | off
void | setBlendV (bool on)
| -blendv on | off
void | setCC (bool on)
| -cc on | off
void | setClamp (bool on)
| -clamp on | off
void | setMM_Base (float base)
| -mm base gain
void | setMM_Gain (float gain)
| -mm base gain
void | setO_UVW (const fvec3 &o_uvw)
| -o u v w
void | setS_UVW (const fvec3 &s_uvw)
| -s u v w
void | setT_UVW (const fvec3 &t_uvw)
| -t u v w
void | setTexres_Value (float value)
| -texres value
void | setImfchan (char val)
| -imfchan r | g | b | m | l | z
void | setBM (float bm)
| -bm mult

## Protected Attributes

String | mFileName
| Texture file name.
bool | mBlendU
| -blendu on | off
bool | mBlendV
| -blendv on | off
bool | mCC
| -cc on | off
bool | mClamp
| -clamp on | off
float | mMM_Base
| -mm base gain
float | mMM_Gain
| -mm base gain
fvec3 | mO_UVW
| -o u v w
fvec3 | mS_UVW
| -s u v w
fvec3 | mT_UVW
| -t u v w
float | mTexres_Value
| -texres value
char | mImfchan
| -imfchan r | g | b | m | l | z
float | mBM
| -bm mult

## Detailed Description

Represents a Wavefront OBJ texture. See also ObjMaterial and ObjLoader.

Definition at line 91 of file vlOBJ.hpp.

## Constructor & Destructor Documentation

ObjTexture::ObjTexture | ( | ) |

Definition at line 64 of file vlOBJ.cpp.

References mBlendU, mBlendV, mBM, mCC, mClamp, mImfchan, mMM_Base, mMM_Gain, mO_UVW, mS_UVW, mT_UVW, and mTexres_Value.

## Member Function Documentation

const ObjTexture & ObjTexture::parseLine | ( | const String & | line,
|  | const String & | file
| ) |  |

Definition at line 80 of file vlOBJ.cpp.

References vl::Log::error(), mBlendU, mBlendV, mBM, mCC, mClamp, mFileName, mImfchan, mMM_Base, mMM_Gain, mO_UVW, mS_UVW, mT_UVW, mTexres_Value, and vl::String::split().

bool vl::ObjTexture::valid | ( | ) | const`[inline]`

Definition at line 96 of file vlOBJ.hpp.

void ObjTexture::print | ( | ) |

Prints the content of the material. Used for debugging purposes.

Definition at line 173 of file vlOBJ.cpp.

References mBlendU, mBlendV, mBM, mCC, mClamp, mFileName, mImfchan, mMM_Base, mMM_Gain, mO_UVW, mS_UVW, mT_UVW, mTexres_Value, and vl::String::toStdString().

const String& vl::ObjTexture::path | ( | ) | const`[inline]`

Texture file name.

Definition at line 101 of file vlOBJ.hpp.

bool vl::ObjTexture::blendU | ( | ) | const`[inline]`

-blendu on | off

Definition at line 103 of file vlOBJ.hpp.

bool vl::ObjTexture::blendV | ( | ) | const`[inline]`

-blendv on | off

Definition at line 105 of file vlOBJ.hpp.

bool vl::ObjTexture::cc | ( | ) | const`[inline]`

-cc on | off

Definition at line 107 of file vlOBJ.hpp.

bool vl::ObjTexture::clamp | ( | ) | const`[inline]`

-clamp on | off

Definition at line 109 of file vlOBJ.hpp.

float vl::ObjTexture::mm_Base | ( | ) | const`[inline]`

-mm base gain

Definition at line 111 of file vlOBJ.hpp.

float vl::ObjTexture::mm_Gain | ( | ) | const`[inline]`

-mm base gain

Definition at line 113 of file vlOBJ.hpp.

const fvec3& vl::ObjTexture::o_UVW | ( | ) | const`[inline]`

-o u v w

Definition at line 115 of file vlOBJ.hpp.

const fvec3& vl::ObjTexture::s_UVW | ( | ) | const`[inline]`

-s u v w

Definition at line 117 of file vlOBJ.hpp.

const fvec3& vl::ObjTexture::t_UVW | ( | ) | const`[inline]`

-t u v w

Definition at line 119 of file vlOBJ.hpp.

float vl::ObjTexture::texres_Value | ( | ) | const`[inline]`

-texres value

Definition at line 121 of file vlOBJ.hpp.

char vl::ObjTexture::imfchan | ( | ) | const`[inline]`

-imfchan r | g | b | m | l | z

Definition at line 123 of file vlOBJ.hpp.

float vl::ObjTexture::bm | ( | ) | const`[inline]`

-bm mult

Definition at line 125 of file vlOBJ.hpp.

void vl::ObjTexture::setPath | ( | const String & | filename ) | `[inline]`

Texture file name.

Definition at line 128 of file vlOBJ.hpp.

void vl::ObjTexture::setBlendU | ( | bool | on ) | `[inline]`

-blendu on | off

Definition at line 130 of file vlOBJ.hpp.

void vl::ObjTexture::setBlendV | ( | bool | on ) | `[inline]`

-blendv on | off

Definition at line 132 of file vlOBJ.hpp.

void vl::ObjTexture::setCC | ( | bool | on ) | `[inline]`

-cc on | off

Definition at line 134 of file vlOBJ.hpp.

void vl::ObjTexture::setClamp | ( | bool | on ) | `[inline]`

-clamp on | off

Definition at line 136 of file vlOBJ.hpp.

void vl::ObjTexture::setMM_Base | ( | float | base ) | `[inline]`

-mm base gain

Definition at line 138 of file vlOBJ.hpp.

void vl::ObjTexture::setMM_Gain | ( | float | gain ) | `[inline]`

-mm base gain

Definition at line 140 of file vlOBJ.hpp.

void vl::ObjTexture::setO_UVW | ( | const fvec3 & | o_uvw ) | `[inline]`

-o u v w

Definition at line 142 of file vlOBJ.hpp.

void vl::ObjTexture::setS_UVW | ( | const fvec3 & | s_uvw ) | `[inline]`

-s u v w

Definition at line 144 of file vlOBJ.hpp.

void vl::ObjTexture::setT_UVW | ( | const fvec3 & | t_uvw ) | `[inline]`

-t u v w

Definition at line 146 of file vlOBJ.hpp.

void vl::ObjTexture::setTexres_Value | ( | float | value ) | `[inline]`

-texres value

Definition at line 148 of file vlOBJ.hpp.

void vl::ObjTexture::setImfchan | ( | char | val ) | `[inline]`

-imfchan r | g | b | m | l | z

Definition at line 150 of file vlOBJ.hpp.

void vl::ObjTexture::setBM | ( | float | bm ) | `[inline]`

-bm mult

Definition at line 152 of file vlOBJ.hpp.

## Member Data Documentation

String vl::ObjTexture::mFileName`[protected]`

Texture file name.

Definition at line 156 of file vlOBJ.hpp.

Referenced by parseLine(), and print().

bool vl::ObjTexture::mBlendU`[protected]`

-blendu on | off

Definition at line 158 of file vlOBJ.hpp.

Referenced by ObjTexture(), parseLine(), and print().

bool vl::ObjTexture::mBlendV`[protected]`

-blendv on | off

Definition at line 160 of file vlOBJ.hpp.

Referenced by ObjTexture(), parseLine(), and print().

bool vl::ObjTexture::mCC`[protected]`

-cc on | off

Definition at line 162 of file vlOBJ.hpp.

Referenced by ObjTexture(), parseLine(), and print().

bool vl::ObjTexture::mClamp`[protected]`

-clamp on | off

Definition at line 164 of file vlOBJ.hpp.

Referenced by ObjTexture(), parseLine(), and print().

float vl::ObjTexture::mMM_Base`[protected]`

-mm base gain

Definition at line 166 of file vlOBJ.hpp.

Referenced by ObjTexture(), parseLine(), and print().

float vl::ObjTexture::mMM_Gain`[protected]`

-mm base gain

Definition at line 168 of file vlOBJ.hpp.

Referenced by ObjTexture(), parseLine(), and print().

fvec3 vl::ObjTexture::mO_UVW`[protected]`

-o u v w

Definition at line 170 of file vlOBJ.hpp.

Referenced by ObjTexture(), parseLine(), and print().

fvec3 vl::ObjTexture::mS_UVW`[protected]`

-s u v w

Definition at line 172 of file vlOBJ.hpp.

Referenced by ObjTexture(), parseLine(), and print().

fvec3 vl::ObjTexture::mT_UVW`[protected]`

-t u v w

Definition at line 174 of file vlOBJ.hpp.

Referenced by ObjTexture(), parseLine(), and print().

float vl::ObjTexture::mTexres_Value`[protected]`

-texres value

Definition at line 176 of file vlOBJ.hpp.

Referenced by ObjTexture(), parseLine(), and print().

char vl::ObjTexture::mImfchan`[protected]`

-imfchan r | g | b | m | l | z

Definition at line 178 of file vlOBJ.hpp.

Referenced by ObjTexture(), parseLine(), and print().

float vl::ObjTexture::mBM`[protected]`

-bm mult

Definition at line 180 of file vlOBJ.hpp.

Referenced by ObjTexture(), parseLine(), and print().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/vlOBJ.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/vlOBJ.cpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:43.
Permission is granted to use this page to write and publish articles regarding Visualization Library.